package eu.dnetlib.validatorapi.processors;

import eu.dnetlib.validatorapi.entities.ValidationJob;
import eu.dnetlib.validatorapi.repositories.ValidationResultRepository;
import org.apache.camel.Exchange;
import org.apache.camel.Processor;

import java.util.Date;

public class DataBaseProcessor implements Processor {
    private final ValidationJob validationJob;
    private final ValidationResultRepository validationResultRepository;

    public DataBaseProcessor(ValidationJob validationJob,
                             final ValidationResultRepository validationResultRepository){
        this.validationJob = validationJob;
        this.validationResultRepository = validationResultRepository;

    }

    @Override
    public void process(Exchange exchange) throws Exception {
        validationJob.progress = "COMPLETED";
        validationJob.endDate = new Date();
        validationJob.status = validationResultRepository.getStatus(validationJob.id);
        exchange.getIn().setBody(validationJob, ValidationJob.class);
    }
}
